Loading...
Searching...
No Matches
pcl::utils Namespace Reference

## Functions

template<typename T>
bool | equal (T val1, T val2, T eps=std::numeric_limits< T >::min())
| Check if val1 and val2 are equal to an epsilon extent.
template<typename ... T>
void | ignore (const T &...)
| Utility function to eliminate unused variable warnings.

## Function Documentation

## equal()

template<typename T>

bool pcl::utils::equal | ( | T | val1,
|  | T | val2,
|  | T | eps = std::numeric_limits<T>::min () )

Check if val1 and val2 are equal to an epsilon extent.

Parameters

  [in] | val1 | first number to check
  [in] | val2 | second number to check
  [in] | eps | epsilon

Returns
  true if val1 is equal to val2, false otherwise.

Definition at line 55 of file utils.h.

Referenced by pcl::ShapeContext3DEstimation< PointInT, PointNT, PointOutT >::computePoint(), and pcl::UniqueShapeContext< PointInT, PointOutT, PointRFT >::computePointDescriptor().

## ignore()

template<typename ... T>

void pcl::utils::ignore | ( | const T & | ... | ) |

Utility function to eliminate unused variable warnings.

Definition at line 62 of file utils.h.

Referenced by pcl::device::Emulation::All(), pcl::device::kinfuLS::Emulation::All(), pcl::assignNormalWeights(), pcl::device::Emulation::Ballot(), pcl::device::kinfuLS::Emulation::Ballot(), pcl::device::Emulation::ballot(), pcl::BinaryTreeThresholdBasedBranchEstimator::computeBranchIndex(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::convertToXYZ(), pcl::getMeanPointDensity(), pcl::getMeanPointDensity(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::insertRange(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::insertRange(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::insertRange(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::operator[](), pcl::outofcore::OutofcoreOctreeBaseNode< ContainerT, PointT >::queryBBIncludes(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::read(), pcl::io::LZFBayer8ImageReader::readOMP(), pcl::io::LZFDepth16ImageReader::readOMP(), pcl::io::LZFRGB24ImageReader::readOMP(), pcl::io::LZFYUV422ImageReader::readOMP(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::readRange(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::readRange(), pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::readRangeSubSample(), and pcl::outofcore::OutofcoreOctreeDiskContainer< PointT >::readRangeSubSample_bernoulli().